/*
** OpenAmiga.org
**  This file is part of the OpenAmiga "XAD filesystem"
**
** For more information look at:
**   http://openamiga.org/?function=viewproject&projectid=66
*/

#include "xadfs.h"

struct Lock *FSDupLockFromFH(struct FSVP *vp, int32 *res2, struct FileHandle *fh) {
	struct Lock *result;

	if (fh) {
		result = FSDupLock(vp, res2, fh->fh_Arg2);
	} else {
		*res2 = ERROR_REQUIRED_ARG_MISSING;
		result = NULL;
	}

	return result;
}

