/*
** OpenAmiga.org
**  This file is part of the OpenAmiga "XAD filesystem"
**
** For more information look at:
**   http://openamiga.org/?function=viewproject&projectid=66
*/

#include "xadfs.h"

int32 FSSameFile(struct FSVP *vp, int32 *res2, struct FileHandle *fh1, struct FileHandle *fh2) {
	int32 result;

	if (fh1 && fh2) {
		result = FSSameLock(vp, res2, fh1->fh_Arg2, fh2->fh_Arg2);
	} else {
		*res2 = ERROR_REQUIRED_ARG_MISSING;
		result = DOSFALSE;
	}

	return result;
}

