/*
** OpenAmiga.org
**  This file is part of the OpenAmiga "XAD filesystem"
**
** For more information look at:
**   http://openamiga.org/?function=viewproject&projectid=66
*/

#include "xadfs.h"

int32 FSVolumeInfoData(struct FSVP *vp, int32 *res2, struct InfoData *info) {
	struct GlobalData *gd = vp->FSV.FSPrivate;
	int32 result;

	if (gd->volume_node->vn_DiskType != ID_NO_DISK_PRESENT) {
		result = FSDeviceInfoData(vp, res2, info);
	} else {
		*res2  = ERROR_NO_DISK;
		result = DOSFALSE;
	}

	return result;
}

