/*
** OpenAmiga.org
**  This file is part of the OpenAmiga "XAD filesystem"
**
** For more information look at:
**   http://openamiga.org/?function=viewproject&projectid=66
*/

#include "xadfs.h"

int32 FSChangeFileMode(struct FSVP *vp, int32 *res2, struct FileHandle *fh,
	int32 new_lock_mode)
{
	int32 result;

	if (fh) {
		result = FSChangeLockMode(vp, res2, fh->fh_Arg2, new_lock_mode);
	} else {
		*res2 = ERROR_REQUIRED_ARG_MISSING;
		result = DOSFALSE;
	}

	return result;
}

